ServerEvents.recipes(event => {
  const greg = event.recipes.gtceu;
  event.remove({ output: "projecte:low_covalence_dust" });
  event.remove({ output: "projecte:medium_covalence_dust" });
  event.remove({ output: "projecte:high_covalence_dust" });

    //low_covalence_dust
		 event.shaped('projecte:low_covalence_dust', [
    'AAA',
    'ABB',
    'BB '
  ], {
    A: 'gtceu:stone_dust',
    B: 'gtceu:coal_dust',
  });

  greg
    .chemical_reactor("projecte:low_covalence_dust_r")
    .inputFluids("gtceu:carbon 144")
    .itemInputs("gtceu:stone_dust")
    .itemOutputs("2x projecte:low_covalence_dust")
    .duration(100)
    .EUt(32);	
	
  greg
    .chemical_reactor("projecte:low_covalence_dust_reac")
    .inputFluids("gtceu:polyethylene 144")
    .itemInputs("gtceu:stone_dust")
    .itemOutputs("6x projecte:low_covalence_dust")
    .duration(60)
    .EUt(128);
	
  greg
    .chemical_reactor("projecte:low_covalence_dust_reac2")
    .inputFluids("gtceu:polybenzimidazole 36")
    .itemInputs("gtceu:germanium_dust")
    .itemOutputs("32x projecte:low_covalence_dust")
    .duration(40)
    .EUt(512);
	
	//medium_covalence_dust
		 event.shaped('projecte:medium_covalence_dust', [
    'AAA',
    'ABB',
    'BB '
  ], {
    A: 'gtceu:conductive_alloy_dust',
    B: 'minecraft:redstone',
  });
	
  greg
    .chemical_reactor("projecte:medium_covalence_dust")
    .inputFluids("gtceu:redstone 576")
    .itemInputs("gtceu:iron_dust")
    .itemOutputs("2x projecte:medium_covalence_dust")
    .duration(100)
    .EUt(32);
	
  greg
    .chemical_reactor("projecte:medium_covalence_dust_reac")
    .inputFluids("gtceu:redstone 288")
    .itemInputs("gtceu:aluminium_dust")
    .itemOutputs("4x projecte:medium_covalence_dust")
    .duration(60)
    .EUt(128);
	
  greg
    .chemical_reactor("projecte:medium_covalence_dust_reac2")
    .inputFluids("gtceu:palladium 72")
    .itemInputs("gtceu:yttrium_dust")
    .itemOutputs("32x projecte:medium_covalence_dust")
    .duration(40)
    .EUt(512);
	
    //high_covalence_dust
		 event.shaped('projecte:high_covalence_dust', [
    'AAA',
    'ABB',
    'BB '
  ], {
    A: 'gtceu:diamond_dust',
    B: 'gtceu:coal_dust',
  });
	
  greg
    .chemical_reactor("projecte:high_covalence_dust")
    .inputFluids("gtceu:carbon 144")
    .itemInputs("gtceu:diamond_dust")
    .itemOutputs("2x projecte:high_covalence_dust")
    .duration(100)
    .EUt(32);	
	
  greg
    .chemical_reactor("projecte:high_covalence_dust_reac")
    .inputFluids("gtceu:polyethylene 144")
    .itemInputs("gtceu:diamond_dust")
    .itemOutputs("6x projecte:high_covalence_dust")
    .duration(60)
    .EUt(128);
	
  greg
    .chemical_reactor("projecte:high_covalence_dust_reac2")
    .inputFluids("gtceu:hsss 36")
    .itemInputs("gtceu:indium_dust")
    .itemOutputs("32x projecte:high_covalence_dust")
    .duration(40)
    .EUt(512);
	

})
